<?php
vc_map( array(
    "name" => esc_html__("Newsletter", "tz-interiart"),
    "icon" => "icon-element",
    "weight" => 1,
    "base" => "tz-newsletter",
    "class" => "tzElement_extended",
    "description" => esc_html__("create a subscription form","tz-interiart"),
    "category" => esc_html__("Built for Templaza", "tz-interiart"),
    "params" => array(

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Style Of Newsletter", "tz-interiart"),
            "param_name"    => "tz_type",
            "description"   => "",
            "value"         => array(
                esc_html__("Classic", "tz-interiart") => 'classic',
                esc_html__("Modern", "tz-interiart") => 'modern',
                esc_html__("Special", "tz-interiart") => 'special',
            )
        ),
        array(
            "type" => "textfield",
            "holder" => "div",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Newsletter Title", "tz-interiart"),
            "param_name" => "tz_title",
            "description" => esc_html__("Define a title for the section","tz-interiart"),
            "value" => "",
        ),

        array(
            "type" => "textfield",
            "class" => "",
            "admin_label" => true,
            "heading" => esc_html__("Subtitle", "tz-interiart"),
            "param_name" => "tz_subtitle",
            "description" => esc_html__("Define a subtitle for the section(optional)","tz-interiart"),
            "value" => "",
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "admin_label" => true,
            "heading"       => esc_html__("Css Animation", "tz-interiart"),
            "param_name"    => "tz_css_animation",
            "description"   => "",
            "value"         => array(
                esc_html__("No animation", "tz-interiart")           => '',
                esc_html__("Top to bottom", "tz-interiart")          => 'top-to-bottom',
                esc_html__("Bottom to top", "tz-interiart")          => 'bottom-to-top',
                esc_html__("Left to right", "tz-interiart")          => 'left-to-right',
                esc_html__("Right to left", "tz-interiart")          => 'right-to-left',
                esc_html__("Appear from center", "tz-interiart")     => 'appear'),
        ),
        array(
            'type' => 'css_editor',
            'heading' => esc_html__('CSS box', 'tz-interiart'),
            'param_name' => 'css',
            'group' => esc_html__('Design Options', 'tz-interiart'),
        ),
    )
));
?>